﻿html,
body {
    height: 100%;
    background-color: #12172E;
    color: white;
    font-size: 0.9vw
}

    .navbar-brand img {
        width: 100%;
        max-width: 300px;
    }

.navbar-profile-image {
    width: 60px;
    height: 60px;
}
.navbar-toggler {
    border: none;
    width: 40px
}



.badge {
    font-size: 12px;
}

#SideBar {
    height: 100%;
    background: #192140;
    text-align: center;
    color: white;
    font-weight: bold;
    padding-top: 100px;
    position: fixed;
    transition: width 0.2s;
}

    #SideBar button {
        width: 100%;
        text-align: left;
        padding: 5px;
        color: white;
        font-weight: bold;
        font-size: 1.1vw;
    }

        #SideBar button:hover {
            background-color: #C7B845;
        }

    #SideBar .selected {
        background-color: #C7B845;
    }

.bg-primary {
    background-color: #192140 !important;
}

nav {
    position: fixed !important;
    width: 100%;
    color: white;
    font-size: 1.1vw;
    z-index: 1;
}

.btn-circle {
    padding: 6px 0px;
    border-radius: 50px;
    text-align: center;
    color: white;
    width: 40px;
    height: 40px;
    background: rgba(255, 255, 255, 0.25);
}

    .btn-circle:hover {
        background: rgba(255, 255, 255, 1);
    }

.rounded {
    border-radius: 10px!important
}
.clock h4 {
    font-size: 24px;
    font-family: 'PT Sans'
}

.clock p {
    font-size: 14px;
    font-family: 'PT Sans'
}

.list {
    background: #212950;
}

    .list.row {
        --bs-gutter-x: 0;
    }

.btn-outline-primary {
    border-color: gold;
    color: white;
    padding: 5px 50px;
}

    .btn-outline-primary:hover {
        background: linear-gradient(180deg, #DDC126, #63560D);
    }

[type=button]:disabled, [type=reset]:disabled, [type=submit]:disabled {
    border-color: #60667c;
    color: #60667c !important;
}

.text-box {
    background-color: #192140;
    border-color: #192140;
    color: white;
    padding: 10px;
    border-radius: 10px;
}

    .text-box:focus {
        background-color: #60667c;
        color: white;
    }

.form-select {
    background-color: #192140;
    border-color: #192140;
    color: white;
}

    .form-select:focus {
        background-color: #192140;
        color: white;
    }

.global-modal-body {
    background-color: #12172E;
}

.modal-header {
    border: none
}

.modal-footer {
    border: none;
    background-color: #12172E;
}

.btn-light {
    background-color: #00000026;
    color: white;
    border: none;
}

    .btn-light:hover {
        background-color: #00000066;
        color: white;
        border: none;
    }

.modal-header .btn-close {
    margin: 0;
    left: 0;
    position: relative;
}

.modal-title {
    width: 100%;
}
.notification-modal {
    position: fixed;
    right: 50px;
    margin-top: 0;
    color: #222;
    display: none;
}
.notification-modal-content {
    padding: 10px;
    overflow: scroll;
    height: 200px;
}
.notification-modal-content span{
    font-size: 0.8vw;
    color: #ccc;
}
    .notification-modal .notification-header {
        background-color: #f3f3f3
    }
    .notification-modal .notification-modal-item {
        border-bottom: 1px solid #999;
        padding:5px
    }
#btn-notification:hover .notification-modal{
    display: block;
}

.profile-modal {
    position: fixed;
    right: 0px;
    margin-top: 0;
    color: #222;
    font-weight: bold;
    display: none;
}

    .profile-modal button:hover {
        background-color: #C7B845;
        color: white
    }

.nav-profile-img:hover .profile-modal {
    display: block;
}

.blocks {
    height: 20vh;
    overflow-y: auto;
}

.item {
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    cursor: pointer;
}

    .item:hover {
        background-color: #12172E
    }

.pin-code .text-box {
    padding: 15px 10px !important;
}
.add-icon {
    position: relative;
    left: 70px;
    top: -70px;
}

.user-info {
    text-align: left;
}

    .user-info label {
        margin: 10px 0;
    }
.input-group .btn {
    z-index: 0;
}
@media screen and (max-width: 989px) {
    .navbar-collapse {
        width: 45px
    }
        .navbar-collapse span {
            display: none;
        }
    #SideBar .expanded span {
        display: inline;
    }
    
    .navbar-brand img {
        width: 100%
    }

    #nav-name {
        display: none
    }
    #nav-balance {
        display: none
    }
    .clock {
        display: none
    }
    .navbar-profile-image {
        width: 40px;
        height: 40px;
    }
    .content-section {
        margin-top: 50px;
    }

    #btn-notification {
        width: 30px;
        height: 30px;
    }
}

@media screen and (max-width: 763px) {
    html,
    body {
        font-size: 12px
    }
    .blocks {
        height: 80px!important;
    }
    .navbar-collapse {
        display: none;
    }
    .profile-dp {
        margin-left: 20%
    }
    .add-icon {
        position: relative;
        left: -10%;
        top: 50px;
    }
    .transations .list {
        background: none;
    }
    .transations .bg-primary {
        background: none!important;
    }
    .transations .transations-item {
        background: #212950;
        margin: 20px 0;
        border-radius: 10px;
    }
}

@media screen and (max-width: 393px) {
    .profile-dp {
        margin-left: 10%
    }

    .add-icon {
        position: relative;
        left: 5%;
        top: -40px;
    }
}



/*Time line*/


.timeline {
    border-left: 3px solid #727cf5;
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;
    background: rgba(114, 124, 245, 0.09);
    margin: 0 auto;
    letter-spacing: 0.2px;
    position: relative;
    line-height: 1.4em;
    font-size: 1.03em;
    padding: 50px;
    list-style: none;
    text-align: left;
    max-width: 100%;
}

@media (max-width: 767px) {
    .timeline {
        max-width: 98%;
        padding: 25px;
    }
}

.timeline h1 {
    font-weight: 300;
    font-size: 1.4em;
}

.timeline h2,
.timeline h3 {
    font-weight: 600;
    font-size: 1rem;
    margin-bottom: 10px;
}

.timeline .event {
    border-bottom: 1px dashed #e8ebf1;
    padding-bottom: 25px;
    margin-bottom: 25px;
    position: relative;
}

@media (max-width: 767px) {
    .timeline .event {
        padding-top: 30px;
    }
}

.timeline .event:last-of-type {
    padding-bottom: 0;
    margin-bottom: 0;
    border: none;
}

.timeline .event:before,
.timeline .event:after {
    position: absolute;
    display: block;
    top: 0;
}

.timeline .event:before {
    left: -207px;
    content: attr(data-date);
    text-align: right;
    font-weight: 100;
    font-size: 0.9em;
    min-width: 120px;
}

@media (max-width: 767px) {
    .timeline .event:before {
        left: 0px;
        text-align: left;
    }
}

.timeline .event:after {
    -webkit-box-shadow: 0 0 0 3px #727cf5;
    box-shadow: 0 0 0 3px #727cf5;
    left: -55.8px;
    background: #fff;
    border-radius: 50%;
    height: 9px;
    width: 9px;
    content: "";
    top: 5px;
}

@media (max-width: 767px) {
    .timeline .event:after {
        left: -31.8px;
    }
}

.rtl .timeline {
    border-left: 0;
    text-align: right;
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 4px;
    border-top-left-radius: 4px;
    border-right: 3px solid #727cf5;
}

    .rtl .timeline .event::before {
        left: 0;
        right: -170px;
    }

    .rtl .timeline .event::after {
        left: 0;
        right: -55.8px;
    }
.accordion-item#soleAccordion .accordion-button {
    background-color: #192140; /* New color for "Sole Documents" button */
    color: #ffffff;
}
    }
.accordion-button {
    background-color: #fff;
    cursor: pointer;
}
.accordion-item#companyAccordion .accordion-button {
    background-color: #192140; /* New text color for "Company Documents" button */
    color: #ffffff;
}